Bug 1265375 - Xwayland apps unable to keep display awake
Xwayland apps unable to keep display awake
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
23
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 15:26 EDT by somethingsome2000+redhat
Modified: 2016-12-20 09:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:41:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description somethingsome2000+redhat 2015-09-22 15:26:16 EDT
Description of problem:

XWayland apps (Chrome, mplayer, ...) are not able to keep the display awake during video playback.


Version-Release number of selected component (if applicable):
gnome-shell-3.16.3-1.fc22.x86_64


How reproducible:
always


Steps to Reproduce:
1. Sign in to wayland session (Chrome with Youtube video, mplayer --stop-xscreensaver)
2. Open X11 app that keeps display awake
3. Wait for display timeout

Actual results:
Screen begins to dim after timeout. Requires mouse movement to reset.


Expected results:
Display sleep should be inhibited.
The XWayland apps have the same capabilities in Wayland as they do in X


Additional info:
Comment 1 Olivier Fourdan 2015-11-12 05:00:22 EST
Looking into mplayer --stop-xscreensaver option, it calls XResetScreenSaver() on a regular basis to avoid the screensaver to kick-in.

But for this to work under Wayland, it would need to be wired back to the Wayland compositor.

GNOME uses the following protocol based on dbus for this purpose of inhibiting the screensaver:

http://people.freedesktop.org/~hadess/idle-inhibition-spec/index.html

The possible limitations of this protocol are also discussed in this bugzilla:

https://bugs.freedesktop.org/show_bug.cgi?id=89440

Ideally, apps should use that protocol as well instead of relying on X, and that would work with GNOEM on Wayland as well.
Comment 2 Nick Lee 2016-10-15 10:00:45 EDT
Fedora 25.
The same.
Comment 3 Olivier Fourdan 2016-10-17 02:38:13 EDT
See comment 1, this is unlikely to be addressed, apps should use the appropriate protocols instead of using hacks such as "simulating" key pressed to keep the screen saver from kicking in.
Comment 4 Fedora End Of Life 2016-11-24 07:33:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 09:41:24 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.